const basePath = process.env.NEXT_PUBLIC_BASE_PATH || "";

/**
 * Gera o caminho de imagem pública respeitando o basePath
 */
export function getImagePath(path: string): string {
  const cleanPath = path.startsWith("/") ? path : `/${path}`;
  return `${basePath}${cleanPath}`;
}
